Subject: RE: [External] : Re: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively

From: Drew Adams <[email-masked]>
Date: Mon, 21 Aug 2023 00:25:51 +0000

> I suggest that the capability of prefilling the minibuffer be reintroduced
> for the new scheme as well.  Because from what I see, the deprecated parts
> include a feature that will be automatically discarded under the new
> scheme.

I missed that memo completely!  What's the new scheme?
What is expected to be automatically discarded?  Where
is the presentation/discussion of such a change?  Is
it this bug thread?  (Why would it be in a bug thread?)

I hope we're not changing the longstanding arg list of
`completing-read' (except perhaps to add more args,
which might be debatable but excusable).

Let's please keep this function backward-compatible.
If you want something different, please add it as a
separate function.